using System;
using System.Runtime.InteropServices;

namespace SharpQuake
{
	[StructLayout(LayoutKind.Sequential, Pack = 1)]
	internal struct dleaf_t
	{
		public int contents;

		public int visofs;

		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 3)]
		public short[] mins;

		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 3)]
		public short[] maxs;

		public ushort firstmarksurface;

		public ushort nummarksurfaces;

		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 4)]
		public byte[] ambient_level;

		public static int SizeInBytes = Marshal.SizeOf(typeof(dleaf_t));
	}
}
